program aa;
uses gfx3,tmap2;
var l1,l2:integer;

begin
  setmcga;
  setupvirtual;
    tset1map('bmap2.pcx',2,vaddr);

     for l1:=1 to 128 do
       getpal(l1*2,palar[l1,1],palar[l1,2],palar[l1,3]);

   lpcx('woodmap.pcx',vaddr);
     for l1:=1 to 128 do
       getpal(l1*2,palar[l1+128,1],palar[l1+128,2],palar[l1+128,3]);
   for l1:=1 to 255 do pal(l1,palar[l1,1],palar[l1,2],palar[l1,3]);

   for l1:=1 to 255 do
     for l2:=1 to 100 do
      putpixel(l1,l2,l1,vga);
readln;
shutdown;
end.